public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: Add support for rpm-ostree as a package manager for installDeps
@ 2026-09-11 13:21 bgrech
  0 siblings, 0 replies; only message in thread
From: bgrech @ 2026-09-11 13:21 UTC (permalink / raw)
  To: git-commits

A new commit has been pushed.

Repo   : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 4119cf83ed14066a06f3df15af08d8d425df7773
Author : bgrech <bgrech@redhat.com>
Date   : 2024-02-07T16:01:30+00:00
Stats  : +8/-2 in 1 file(s)
URL    : https://src.fedoraproject.org/tests/selinux/c/4119cf83ed14066a06f3df15af08d8d425df7773?branch=pr775-checkpolicy-revdeps

Log:
Add support for rpm-ostree as a package manager for installDeps

---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index a940018..b5f6cc9 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -94,7 +94,13 @@ function installDepsYum() {
 }
 
 function installDeps() {
-    if type yum >/dev/null; then
+    if [ -e /run/ostree-booted ]; then
+        for item in "$@"; do
+            if ! rpm -q --quiet --whatprovides "$item"; then
+                rpm-ostree --apply-live -y install "$item"
+            fi
+        done
+    elif type yum >/dev/null; then
         installDepsYum yum "$@"
     elif type dnf >/dev/null; then
         installDepsYum dnf "$@"
@@ -186,7 +192,7 @@ rlJournalStart
         rlRun "installDeps \$REQUIRES" 0 "Install requires"
 
         # The CRB repo with libbpf-devel might not be enabled on RHEL
-        if rlIsRHEL '>=8'; then
+        if rlIsRHEL '>=8' && ! [ -e /run/ostree-booted ]; then
             for repo in "rhel-CRB" "beaker-CRB"; do
                 rpm -q libbpf-devel &>/dev/null && break
                 rlRun "dnf install --enablerepo $repo -y libbpf-devel" 0-255

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:21 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:21 [tests/selinux] pr775-checkpolicy-revdeps: Add support for rpm-ostree as a package manager for installDeps bgrech

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox